Skip to content

like

Filter stories by checking if a field partially matches the specified value.

filter_query[headline][like]=Mars
Returns all stories with the word Mars in their headline

filter_query[headline][like]=Mars*
Returns all stories where the headline starts with Mars

filter_query[headline][like]=*Mars
Returns all stories where the headline ends with Mars

filter_query[headline][like]=*Mars*
Returns all stories where the headline contains Mars

filter_query[content][like]=quantum
Returns all stories that contain quantum in the content field

filter_query[scheduled][like]=*
Returns all stories where scheduled is defined and its value is blank

The following example demonstrates how to receive all stories with space in the name field using the like operation.

curl "https://api.storyblok.com/v2/cdn/stories\
?filter_query%5Bname%5D%5Blike%5D=*Space*\
&token=ask9soUkv02QqbZgmZdeDAtt"
Response
{
"stories": [
{
"name": "Spaceship",
"created_at": "2018-12-10T17:51:25.161Z",
"published_at": "2026-10-23T07:57:15.777Z",
"updated_at": "2026-10-23T07:57:15.794Z",
"id": 461935,
"uuid": "14d950c6-0a8f-4088-98e3-73efced9ff6d",
"content": {
"_uid": "00b45e23-5dc5-4398-9b34-e87ae4ed42e6",
"link": {
"id": "273bba42-834b-4a87-b190-eafe3eabb4d4",
"url": "",
"linktype": "story",
"fieldtype": "multilink",
"cached_url": "home"
},
"name": "Spaceship",
"image": "//a.storyblok.com/f/44203/6016x4016/995fde1190/spaceship.jpg",
"price": "1700000009",
"featured": true,
"component": "product",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. In erat mauris, faucibus quis pharetra sit amet, pretium ac libero. Etiam vehicula eleifend bibendum."
},
"slug": "spaceship",
"full_slug": "products/spaceship",
"sort_by_date": null,
"position": -30,
"tag_list": [],
"is_startpage": false,
"parent_id": 461931,
"meta_data": null,
"group_id": "99285e65-5610-4ff1-a0c7-a037f9b84e5d",
"first_published_at": "2018-12-10T17:52:14.000Z",
"release_id": null,
"lang": "default",
"path": null,
"alternates": [],
"default_full_slug": null,
"translated_slugs": null
}
],
"cv": 1792742236,
"rels": [],
"links": []
}

Was this page helpful?

What went wrong?

This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.